Subject: Re: CIA hook for contrib/

From: Eric Raymond <[email-masked]>
Date: Mon, 29 Mar 2010 05:04:13 -0400

Hm...this showed up about two minutes after I sent you private mail 
wondering why nobody had responded to my post.  Sorry about that.

Junio C Hamano <[email-masked]>:
> Eric Raymond <[email-masked]> writes:
> 
> > Summary:
> > * The CIA hooks for git are presently dusty and somewhat broken.
> 
> Thanks; but I don't ship any ancient hooks, so this probably wants to be
> sent to whoever still have them displayed on their sites.

The ancient hooks are in scattered locations - one in the Cogito repo, another
on some random project site called alphine, and teo stale copies on CIA.vc.
I'm trying to getthese updated.
 
> One tiny nit is the "git --exec-path" bit, though.  You don't seem to use
> any ancient "git-frotz" form, so it is not just unnecessary but is
> misleading.  I'd recommend to just drop it.

I will test and drop that if possible.
 
> Another tiny nit is that you _might_ want to make it fail loudly if
> somebody copies this out of contrib/ without changing $project properly,
> instead of spamming cia with bogus messages claiming that they pertain to
> the GPSD project.

Good idea.  Will do.

> > I am also enclosing a rewrite in Python. This has a serious functional
> > advantage over either Perl or sh; the batteries-included effect of the
> > Python libraries means it's not dependent on things like the path
> > location of sendmail or whether the hosting site will allow it to
> > run wget.
> > ...
> > Code is enclosed.
> 
> Thanks.  Could you send a signed-off patch that creates contrib/ciabot/
> directory, and places these two files in there, with a README describing
> that you are the maintainer of these tools?

I will do so.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>